<ion-header no-padding >
  <ion-toolbar>
    <ion-buttons size="small" slot="end">
      <ion-back-button icon="arrow-round-back" color="primary"> </ion-back-button>
    </ion-buttons>
    <ion-title style="font-size: 18px" color="primary">Board</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen>
    <div *ngIf="board$ | async as board">
        <div class="pins" padding-vertical>
            <div class="pin" *ngFor="let post of board.posts">
                <img [src]="decode(post.image)" (click)="viewImage(post.id)"/>
            </div>
        </div>
        <ion-title>
          {{board.name}}
      </ion-title>
    </div>
    <ion-grid padding-vertical>
      <ion-row>
          <ion-col>
              <ion-button class="option" fill="clear" value="" >
                  <fa-icon [icon]="star"></fa-icon>&nbsp;&nbsp;
                    <ion-label>1</ion-label>
              </ion-button>
          </ion-col>
            <ion-col>
                <ion-button fill="clear" class="option">
                    <fa-icon [icon]="share"></fa-icon>
                </ion-button>
          </ion-col>
          <ion-col>
              <ion-button fill="clear" class="option" padding-horizontal>
                <fa-icon [icon]="more"></fa-icon>
            </ion-button>
          </ion-col>
          <ion-col>
            <ion-button color="danger" shape="round">Save</ion-button>
        </ion-col>
        </ion-row>
  </ion-grid>
</ion-content>
<ion-footer>
  <ion-toolbar>
    <div *ngIf="board$  | async as board" style="padding-top:5px;">
        <ion-item lines="none">
            <ion-avatar slot="start">
                <ion-img  style= "width:80%;height:80%;" [src]="image !== null ? decode(image) : '../../../../assets/images/avatar.jpg'" class="thumbnail" alt="" ></ion-img>
            </ion-avatar>
            <ion-textarea placeholder="Add a Comment"></ion-textarea>
            <ion-button
              type="submit"
              fill="clear"
              class="option"
              >
              <fa-icon [icon]="send" style="color:#f4a91c"></fa-icon>
            </ion-button>
          </ion-item>
    </div>
  </ion-toolbar>
</ion-footer>
